Destination Data Utility Download

Update Your Destination Database

If you are getting destination/label file expiration warnings you may update your destination database files by selecting the utility below.

Note: Destination Database Update requires DAT-MAIL™ 8.01.01.01, Tag Master 8.01.01.01 or higher to run successfully. Download the file to your desktop and then double-click on it to update your program.

Please contact support if you are unable to download and run this update. Remember, you must update your program's destination and Labeling List files periodically, as required by USPS specifications.

For DAT-MAIL 8.01.01.01 or higher, DropShipIT 8.01.01.01 or higher, TagMaster 8.01.01.01 or higher or Postal Package Partner™ 8.x with Open & Distribute or Multi Permit/Milti Manifest.

NOTE: Please download to desktop or a temporary folder and run. Running this utility directly from the website is NOT recommended.

Destination Data Date: 05/03/2019

Labeling List Data Date: 5/01/2019

Download Destination Data